Bug 718540 - [abrt] gnome-screensaver-3.0.0-1.fc15: gs_fade_reset: Process /usr/bin/gnome-screensaver was killed by signal 11 (SIGSEGV)
[abrt] gnome-screensaver-3.0.0-1.fc15: gs_fade_reset: Process /usr/bin/gnome-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:d14aa44ae6aec432cec6f16243b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-03 16:42 EDT by Andreas Girgensohn
Modified: 2012-08-07 14:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:28:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (27.34 KB, text/plain)
2011-07-03 16:42 EDT, Andreas Girgensohn
no flags Details

  None (edit)
Description Andreas Girgensohn 2011-07-03 16:42:21 EDT
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        gnome-screensaver
component:      gnome-screensaver
crash_function: gs_fade_reset
executable:     /usr/bin/gnome-screensaver
kernel:         2.6.38.6-27.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        gnome-screensaver-3.0.0-1.fc15
reason:         Process /usr/bin/gnome-screensaver was killed by signal 11 (SIGSEGV)
time:           Fri Jul  1 17:45:03 2011
uid:            10094
username:       andreasg
xsession_errors: 

maps:           Text file, 27996 bytes

backtrace:
:warning: core file may not match specified executable file.
:[New LWP 29277]
:[New LWP 29293]
:[New LWP 29294]
:[Thread debugging using libthread_db enabled]
:Core was generated by `gnome-screensaver'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x0000000000000000 in ?? ()
:
:Thread 3 (Thread 0x7fe1fa985700 (LWP 29294)):
:#0  0x0000003d30ad74f3 in __poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x0000003d32a42d24 in g_main_context_poll (n_fds=1, fds=0x7fe1ec001170, priority=<optimized out>, timeout=-1, context=0x23d7870) at gmain.c:3405
:        poll_func = 0x3d32a51310 <g_poll>
:#2  g_main_context_iterate (context=0x23d7870, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 1
:        allocated_nfds = <optimized out>
:        fds = 0x7fe1ec001170
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x0000003d32a4360d in g_main_loop_run (loop=0x7fe1ec001150) at gmain.c:3300
:        self = 0x23d8040
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x00007fe1fb18bb6b in dconf_context_thread (data=0x23d7870) at dconfcontext.c:11
:        context = 0x23d7870
:        loop = <optimized out>
:        __PRETTY_FUNCTION__ = "dconf_context_thread"
:#5  0x0000003d32a683a6 in g_thread_create_proxy (data=0x23d8040) at gthread.c:1955
:        thread = 0x23d8040
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#6  0x0000003d30e07af1 in start_thread (arg=0x7fe1fa985700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7fe1fa985700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -328481594504211087, 140733501765424, 140608548657600, 0, 3, 338625986766738801, -357298973176720015}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#7  0x0000003d30adfddd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 2 (Thread 0x7fe1fb186700 (LWP 29293)):
:#0  0x0000003d30ad74f3 in __poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x0000003d32a42d24 in g_main_context_poll (n_fds=3, fds=0x7fe1f4001150, priority=<optimized out>, timeout=-1, context=0x243bae0) at gmain.c:3405
:        poll_func = 0x3d32a51310 <g_poll>
:#2  g_main_context_iterate (context=0x243bae0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 3
:        allocated_nfds = <optimized out>
:        fds = 0x7fe1f4001150
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x0000003d32a4360d in g_main_loop_run (loop=0x243bac0) at gmain.c:3300
:        self = 0x243bbd0
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x0000003d33eb4564 in gdbus_shared_thread_func (data=<optimized out>) at gdbusprivate.c:276
:No locals.
:#5  0x0000003d32a683a6 in g_thread_create_proxy (data=0x243bbd0) at gthread.c:1955
:        thread = 0x243bbd0
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#6  0x0000003d30e07af1 in start_thread (arg=0x7fe1fb186700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7fe1fb186700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -328481594504211087, 140733501763792, 140608557050304, 0, 3, 338624886718240113, -357298973176720015}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#7  0x0000003d30adfddd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 1 (Thread 0x7fe2024809a0 (LWP 29277)):
:#0  0x0000000000000000 in ?? ()
:No symbol table info available.
:#1  0x0000000000417331 in gs_fade_reset (fade=0x2465580 [GSFade]) at gs-fade.c:840
:        i = <optimized out>
:        __PRETTY_FUNCTION__ = "gs_fade_reset"
:        __FUNCTION__ = "gs_fade_reset"
:#2  0x000000000040d31c in unfade_idle (manager=0x23ff500 [GSManager]) at gs-manager.c:756
:        __FUNCTION__ = "unfade_idle"
:#3  0x0000003d32a4410b in g_timeout_dispatch (source=<optimized out>, callback=<optimized out>, user_data=<optimized out>) at gmain.c:3895
:        timeout_source = 0x251fbb0
:        again = <optimized out>
:#4  0x0000003d32a427ed in g_main_dispatch (context=0x23c4160) at gmain.c:2441
:        dispatch = 0x3d32a440f0 <g_timeout_dispatch>
:        was_in_call = 0
:        user_data = 0x23ff500
:        callback = 0x40d2f0 <unfade_idle>
:        cb_funcs = 0x3d32d15c50
:        cb_data = 0x249eaa0
:        current_source_link = {data = 0x251fbb0, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x251fbb0
:        current = 0x2467390
:        i = <optimized out>
:#5  g_main_context_dispatch (context=0x23c4160) at gmain.c:3014
:No locals.
:#6  0x0000003d32a42fc8 in g_main_context_iterate (context=0x23c4160, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3092
:        max_priority = 2147483647
:        timeout = 487
:        some_ready = 1
:        nfds = 4
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#7  0x0000003d32a4360d in g_main_loop_run (loop=0x248a330) at gmain.c:3300
:        self = 0x239a710
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#8  0x0000003d3a34771d in gtk_main () at gtkmain.c:1358
:        loop = 0x248a330
:#9  0x00000000004094fa in main (argc=1, argv=0x7fff12618508) at gnome-screensaver.c:105
:        monitor = 0x24528c0 [GSMonitor]
:        error = 0x0
:        show_version = 0
:        no_daemon = 1
:        debug = 0
:        entries = {{long_name = 0x41792c "version", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x620000, description = 0x417934 "Version of this application", arg_description = 0x0}, {long_name = 0x417950 "no-daemon", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x61ff80, description = 0x41795a "Don't become a daemon", arg_description = 0x0}, {long_name = 0x417970 "debug", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x620004, description = 0x417976 "Enable debugging code", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
:        __FUNCTION__ = "main"
:From                To                  Syms Read   Shared Object Library
:0x0000003d3c20a400  0x0000003d3c21c51c  Yes         /usr/lib64/libdbus-glib-1.so.2
:0x0000003d39e076f0  0x0000003d39e3050c  Yes         /lib64/libdbus-1.so.3
:0x0000003d30e05640  0x0000003d30e1038c  Yes         /lib64/libpthread-2.14.so
:0x0000003d46e0aca0  0x0000003d46e1ca6c  Yes         /usr/lib64/libgnome-desktop-3.so.0
:0x0000003d3a266250  0x0000003d3a4acc9c  Yes         /usr/lib64/libgtk-3.so.0
:0x0000003d45203120  0x0000003d45206a98  Yes         /usr/lib64/libstartup-notification-1.so.0
:0x0000003d3aa196f0  0x0000003d3aa5955c  Yes         /usr/lib64/libgdk-3.so.0
:0x0000003d36e097b0  0x0000003d36e156bc  Yes         /usr/lib64/libatk-1.0.so.0.9.1
:0x0000003d33e294a0  0x0000003d33ed2b3c  Yes         /lib64/libgio-2.0.so.0.2800.8
:0x0000003d372076f0  0x0000003d3722131c  Yes         /usr/lib64/libpangoft2-1.0.so.0.2800.4
:0x0000003d39a04940  0x0000003d39a0935c  Yes         /usr/lib64/libpangocairo-1.0.so.0.2800.4
:0x0000003d39206290  0x0000003d39219c9c  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:0x0000003d35604870  0x0000003d3561eb5c  Yes         /usr/lib64/libpng12.so.0.44.0
:0x0000003d31203ea0  0x0000003d31243e9c  Yes         /lib64/libm-2.14.so
:0x0000003d3ce03340  0x0000003d3ce0430c  Yes         /usr/lib64/libcairo-gobject.so.2.11000.2
:0x0000003d3820b170  0x0000003d38282a9c  Yes         /usr/lib64/libcairo.so.2.11000.2
:0x0000003d3960ee20  0x0000003d3962cb1c  Yes         /usr/lib64/libpango-1.0.so.0.2800.4
:0x0000003d35a0c960  0x0000003d35a738fc  Yes         /usr/lib64/libfreetype.so.6.6.2
:0x0000003d35e05d90  0x0000003d35e1f7fc  Yes         /usr/lib64/libfontconfig.so.1.4.4
:0x0000003d33609970  0x0000003d33639dcc  Yes         /lib64/libgobject-2.0.so.0.2800.8
:0x0000003d33a00fe0  0x0000003d33a01f8c  Yes         /lib64/libgmodule-2.0.so.0.2800.8
:0x0000003d32e01560  0x0000003d32e02a2c  Yes         /lib64/libgthread-2.0.so.0.2800.8
:0x0000003d31a02160  0x0000003d31a053ec  Yes         /lib64/librt-2.14.so
:0x0000003d3de03660  0x0000003d3de0d63c  Yes         /usr/lib64/libgnome-menu.so.2
:0x0000003d32a16cd0  0x0000003d32aadbec  Yes         /lib64/libglib-2.0.so.0.2800.8
:0x0000003d40e01ad0  0x0000003d40e05d7c  Yes         /usr/lib64/libSM.so.6
:0x0000003d41204cf0  0x0000003d41212eac  Yes         /usr/lib64/libICE.so.6
:0x0000003d35203460  0x0000003d3520e31c  Yes         /usr/lib64/libXext.so.6.4.0
:0x0000003d34a1dce0  0x0000003d34aa97ec  Yes         /usr/lib64/libX11.so.6.3.0
:0x0000003d43200e10  0x0000003d43203bfc  Yes         /usr/lib64/libXxf86vm.so.1
:0x0000003d3ae00bd0  0x0000003d3ae01eec  Yes         /usr/lib64/libXxf86misc.so.1
:0x0000003d30a1ece0  0x0000003d30b432ac  Yes         /lib64/libc-2.14.so
:0x0000003d30600b20  0x0000003d30618caa  Yes         /lib64/ld-2.14.so
:0x0000003d38601720  0x0000003d3860675c  Yes         /usr/lib64/libXrandr.so.2.2.0
:0x0000003d36a013e0  0x0000003d36a0450c  Yes         /usr/lib64/libXfixes.so.3.1.0
:0x0000003d46601160  0x0000003d46601b3c  Yes         /usr/lib64/libxcb-aux.so.0
:0x0000003d45a018e0  0x0000003d45a01cfc  Yes         /usr/lib64/libxcb-event.so.1
:0x0000003d44a01690  0x0000003d44a01d2c  Yes         /usr/lib64/libxcb-atom.so.1
:0x0000003d34208660  0x0000003d34213b9c  Yes         /usr/lib64/libxcb.so.1.1.0
:0x0000003d37600a00  0x0000003d3760148c  Yes         /usr/lib64/libXinerama.so.1.0.0
:0x0000003d36601f00  0x0000003d3660c57c  Yes         /usr/lib64/libXi.so.6.1.0
:0x0000003d37e028d0  0x0000003d37e0749c  Yes         /usr/lib64/libXcursor.so.1.0.2
:0x0000003d37a00b30  0x0000003d37a0189c  Yes         /usr/lib64/libXcomposite.so.1.0.0
:0x0000003d38e00a90  0x0000003d38e0160c  Yes         /usr/lib64/libXdamage.so.1.1.0
:0x0000003d31600de0  0x0000003d3160191c  Yes         /lib64/libdl-2.14.so
:0x0000003d33203840  0x0000003d3321354c  Yes         /lib64/libresolv-2.14.so
:0x0000003d31e01e70  0x0000003d31e0e67c  Yes         /lib64/libz.so.1.2.5
:0x0000003d32605980  0x0000003d326159dc  Yes         /lib64/libselinux.so.1
:0x0000003d38a07e10  0x0000003d38a5c0ac  Yes         /usr/lib64/libpixman-1.so.0.20.2
:0x0000003d36201910  0x0000003d3620810c  Yes         /usr/lib64/libXrender.so.1.3.0
:0x0000003d34e03b70  0x0000003d34e1d84c  Yes         /lib64/libexpat.so.1.5.2
:0x0000003d3d2014f0  0x0000003d3d202aec  Yes         /lib64/libuuid.so.1
:0x0000003d322028a0  0x0000003d322120cc  Yes         /lib64/libgcc_s-4.6.0-20110530.so.1
:0x0000003d34600dd0  0x0000003d34601b2c  Yes         /usr/lib64/libXau.so.6.0.0
:0x00007fe1fbe3d170  0x00007fe1fbe448ac  Yes         /lib64/libnss_files-2.14.so
:0x00007fe1fbc32040  0x00007fe1fbc385fc  Yes         /lib64/libnss_nis-2.14.so
:0x0000003d43603ff0  0x0000003d436117fc  Yes         /lib64/libnsl-2.14.so
:0x00007fe1fba2a800  0x00007fe1fba2e9ac  Yes         /usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so
:0x00007fe1fb80db00  0x00007fe1fb80df8c  Yes         /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
:0x0000003d472080f0  0x0000003d4722b7bc  Yes         /usr/lib64/librsvg-2.so.2
:0x0000003d44e0b6e0  0x0000003d44e2a04c  Yes         /usr/lib64/libcroco-0.6.so.3
:0x0000003d3d62c960  0x0000003d3d71007c  Yes         /usr/lib64/libxml2.so.2.7.8
:0x00007fe1fb609f80  0x00007fe1fb60becc  Yes         /usr/lib64/gtk-3.0/modules/libcanberra-gtk-module.so
:0x0000003d45e01c20  0x0000003d45e0302c  Yes         /usr/lib64/libcanberra-gtk3.so.0
:0x0000003d456032a0  0x0000003d4560c41c  Yes         /usr/lib64/libcanberra.so.0
:0x0000003d44601fa0  0x0000003d4460611c  Yes         /usr/lib64/libvorbisfile.so.3.3.4
:0x0000003d42203700  0x0000003d4221a6ac  Yes         /usr/lib64/libvorbis.so.0.4.5
:0x0000003d416018d0  0x0000003d41603f7c  Yes         /usr/lib64/libogg.so.0.7.1
:0x0000003d44202350  0x0000003d4420b7dc  Yes         /usr/lib64/libtdb.so.1
:0x0000003d42a02360  0x0000003d42a0669c  Yes         /usr/lib64/libltdl.so.7
:0x0000003d3b200c10  0x0000003d3b205afc  Yes         /lib64/libcrypt-2.14.so
:0x00007fe1fb3aa170  0x00007fe1fb3e87bc  Yes         /lib64/libfreebl3.so
:0x00007fe1fb189900  0x00007fe1fb18ceac  Yes         /usr/lib64/gio/modules/libdconfsettings.so
:$1 = 0x0
:$2 = 0x0
:rax            0x24771a0	38236576
:rbx            0x2465580	38163840
:rcx            0x24655a0	38163872
:rdx            0x24771a0	38236576
:rsi            0x0	0
:rdi            0x2465580	38163840
:rbp            0x1	0x1
:rsp            0x7fff12618258	0x7fff12618258
:r8             0x23c4168	37503336
:r9             0x1	1
:r10            0x1	1
:r11            0x1	1
:r12            0x0	0
:r13            0x2467390	38171536
:r14            0x3d32d15c50	262845586512
:r15            0x23c4160	37503328
:rip            0x0	0
:eflags         0x10202	[ IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:No function contains program counter for selected frame.

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:4e07b77adb145cc6404542708f22dc48ded94731
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:e10b92bc851cfeb7fae30227813f5dc4aeda7d17
:189c7475c0490584f314acd7377d00adc0fc2b1a
:1916190a2901d92261cb9eccc802f5e31506a7ae
:8636c65f0fdbdaf22adbf16e63b6a114266e0672
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:48b9e02d2199527bf0b51390ce501d804d2e447b
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:13ff10a075f084abf260b9dd96618c1037ba3d75
:d0c6e13f00a20952a72a945c929efb175fd760e3
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:9cd020ec2107c08febe2c8fcabd158212c207854
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:2c5b60b2c0c44e40c45b22e8ea71a8836fbe9344
:f5eaf1025d72d2071112f7f918018e76f3c51c4d
:a3cf6fce079fd1eaa7ab8bcf5ffd5eab5405b08b
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:585e18f56063dab8934660820f0c63765c6c1a1f
:aaf62304b0fc10611d35b4f56005479d4c58868d
:b86f00a668ca8dd79d7508fa5cd1894986085fd2
:e9ab8699ace21892533fe5552ad732ee5a222a8d
:7343d35696ce251688ece0a26e457e61ca805cfd
:4953d1f613914126bccceb3cb96386647ffba9df
:0911ea7c180d733724f89037b8e8a34e64024aec
:cdd87cfe38115dcd04c1503689de2a4f5913d6ef
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:b906ef4db85e20a5b0824b034090c1838f54e23c
:634eca0cadcf35206919dd5e6a8e2e8601276947
:48aea888319e1848137073c9cbde54a4c2a731c9
:c5e453fe5d6318e6edd7588a5b50cb13611e2b32
:e5f626726497a81807681ed0088dbce6d6a1f17b
:4e30dd3af8b24b327a21d659ea052c15664b3d87
:46caf50b7b8405049cc76b9d88092acce249ec89
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:4c842320387ff7f6f91b7842b223c16518be909f
:1c6a95451ee19617be5abea3d121f0226d21ddda
:63fa2fbfe8cbf149de86050e2a993cb152dae2bb
:1406558950ff100eb0320a325b3ea7961ba1a775
:9111d9fd40abe07c078feedf80828fe4a638c57e
:dc4aa54ce3f49b215fc9046e3c65357ebaa95a6d
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:91689252818532ec13597b6528d38be93b2706c4
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:0bff8f7286651f2ba4c852161dc2a281a166f907
:f6320d3a9d2dccb9d48d2bf7e87b335f336e4123
:9eb3646a4d95b88c0d8b57aa8b2a0ca01569cc6d
:6c549ce52cda735c1f4fdfda714f39ab6685c155
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:12fe921fa6ce903fb44dbd1e37cd24e26cc920a6
:efa74dfa03cd51579af9c40058d4ee8be29098da
:fbd958413c75ae3fbfb88847de94dd68e58336a7
:15992a365655e9b7bfbbdf3a127e8e291e6e5a3b
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:d2e46f8d00e1d50e7d18f35b586fe5fa173da2be
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:544eb865267266a3a113846a945482a0040a8134
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:b038838c10d38141b6ec19b40168be9caaa78286
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:8164c04fe43680778d29c2775cef453f494ab62b
:82cf4540522b901269811d3d7fcaa91ca524b002
:f8e7c98631a00dc04b783ed625cff7b786e95f7d
:886e076a93ae3bc92fb15c6e575d3ed17259d687
:34379b9acca9429c42f8496a78c30e20ca8893fe

comment:
:1. Start a session with tigervnc-server (vncserver :2 -geometry 1600x960 -extension RANDR).
:2. Connect to the session with UltraVNC Win32 viewer.
:3. Wait until the screen saver kicks in.
:
:The screen went black briefly before showing the desktop again.
:
:gnome-screensaver-3.0.0-1.fc15.x86_64
:tigervnc-server-1.0.90-4.fc15.x86_64
:
:I just reported the same problem in F14 in Bug 718535.

dso_list:
:/lib64/libcrypt-2.14.so glibc-2.14-3.x86_64 (Fedora Project) 1309190548
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1309190547
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1307396259
:/usr/lib64/libxcb-event.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1307395373
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1307395779
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1307396274
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1307396244
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307980844
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1307395781
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307980844
:/usr/lib64/libgnome-menu.so.2.4.13 gnome-menus-3.0.1-1.fc15.x86_64 (Fedora Project) 1307395631
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1307395326
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1307396241
:/usr/lib64/libgnome-desktop-3.so.0.0.9 gnome-desktop3-3.0.1-2.fc15.x86_64 (Fedora Project) 1307396666
:/usr/lib/locale/locale-archive glibc-common-2.14-3.x86_64 (Fedora Project) 1309190555
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.x86_64 (Fedora Project) 1307395475
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1307396251
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1307395372
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1307396249
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1307395585
:/lib64/libdl-2.14.so glibc-2.14-3.x86_64 (Fedora Project) 1309190548
:/usr/lib64/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc15.x86_64 (Fedora Project) 1307396271
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307980844
:/usr/lib64/libXxf86misc.so.1.1.0 libXxf86misc-1.0.3-2.fc15.x86_64 (Fedora Project) 1307396302
:/lib64/libm-2.14.so glibc-2.14-3.x86_64 (Fedora Project) 1309190548
:/lib64/ld-2.14.so glibc-2.14-3.x86_64 (Fedora Project) 1309190548
:/usr/lib64/libgdk-3.so.0.0.11 gtk3-3.0.11-1.fc15.x86_64 (Fedora Project) 1307980848
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-3.fc15.x86_64 (Fedora Project) 1307395333
:/usr/lib64/libXxf86vm.so.1.0.0 libXxf86vm-1.1.1-2.fc15.x86_64 (Fedora Project) 1307396285
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1307396069
:/usr/lib64/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc15.x86_64 (Fedora Project) 1307396271
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1307396246
:/lib64/libpthread-2.14.so glibc-2.14-3.x86_64 (Fedora Project) 1309190548
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.x86_64 (Fedora Project) 1307395327
:/usr/lib64/libstartup-notification-1.so.0.0.0 startup-notification-0.10-4.fc13.x86_64 (Fedora Project) 1288388488
:/usr/lib64/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1307395373
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1307395363
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307980844
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1307395355
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1307396242
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1307396242
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1307395361
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1307395331
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.7.5-1.x86_64 (Fedora Project) 1307395647
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.x86_64 (Fedora Project) 1307395330
:/usr/lib64/librsvg-2.so.2.32.1 librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1307396274
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1307396259
:/usr/bin/gnome-screensaver gnome-screensaver-3.0.0-1.fc15.x86_64 (Fedora Project) 1307396675
:/lib64/libc-2.14.so glibc-2.14-3.x86_64 (Fedora Project) 1309190548
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1307395372
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.0.2-1.fc15.x86_64 (Fedora Project) 1307396496
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1307396245
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1307395362
:/usr/lib64/libpng12.so.0.44.0 libpng-2:1.2.44-3.fc15.x86_64 (Fedora Project) 1307395326
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1307396069
:/lib64/libgcc_s-4.6.0-20110530.so.1 libgcc-4.6.0-9.fc15.x86_64 (Fedora Project) 1307473167
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1308585726
:/usr/lib64/libgtk-3.so.0.0.11 gtk3-3.0.11-1.fc15.x86_64 (Fedora Project) 1307980848
:/lib64/librt-2.14.so glibc-2.14-3.x86_64 (Fedora Project) 1309190548
:/lib64/libresolv-2.14.so glibc-2.14-3.x86_64 (Fedora Project) 1309190548
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307980844
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1307395346
:/lib64/libnsl-2.14.so glibc-2.14-3.x86_64 (Fedora Project) 1309190548
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1307396250
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1307395371
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1307396238
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1307395354
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1307395347
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.2.fc15.x86_64 (Fedora Project) 1309190568
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309190560
:/usr/share/locale/en/LC_MESSAGES/gtk30.mo gtk3-3.0.11-1.fc15.x86_64 (Fedora Project) 1307980848
:/lib64/libnss_files-2.14.so glibc-2.14-3.x86_64 (Fedora Project) 1309190548
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1307395363
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1307395349
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1307395334
:/lib64/libnss_nis-2.14.so glibc-2.14-3.x86_64 (Fedora Project) 1309190548
:/usr/lib64/libxcb-aux.so.0.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1307395373
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-3.fc15.x86_64 (Fedora Project) 1307396244
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1307396259
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1307396243

environ:
:REMOTEHOST=redserver.fxpal.com
:'VNCDESKTOP=docudev.fxpal.net:2 (andreasg)'
:SSH_AGENT_PID=29198
:XDG_SESSION_ID=1007
:HOSTNAME=docudev.fxpal.net
:HOST=docudev.fxpal.net
:TERM=xterm
:SHELL=/bin/tcsh
:XDG_SESSION_COOKIE=147f568af417b44c0547860c4bc521bb-1309566808.986030-2019489014
:'SSH_CLIENT=192.168.21.229 42770 22'
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:SSH_TTY=/dev/pts/0
:GROUP=pal
:USER=andreasg
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:XENVIRONMENT=/home/andreasg/.Xdefaults-960
:MYSQL_HISTFILE=/home/andreasg/.mysql_history-docudev
:SSH_AUTH_SOCK=/tmp/keyring-Zcu9jl/ssh
:HOSTTYPE=x86_64-linux
:NOREBIND=1
:MAIL=mbox:/home/andreasg/mail:INBOX=/home/andreasg/mail/inbox
:PATH=.:/home/andreasg/bin/x86_64-linux:/opt/fxpal/bin:/usr/java/default/bin:/usr/ucb:/bin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/X11/bin:/usr/X11R6/bin:/sbin
:PWD=/home/andreasg
:JAVA_HOME=/usr/java/default
:EDITOR=emacs
:LANG=en_US.UTF-8
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:SHLVL=3
:HOME=/home/andreasg
:OSTYPE=linux
:VENDOR=unknown
:MACHTYPE=x86_64
:LOGNAME=andreasg
:PRINTER=docupal
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:'SSH_CONNECTION=192.168.21.229 42770 192.168.21.142 22'
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-RJeQelD547,guid=7c5eb063e428a7557dda051400200e80
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XDG_RUNTIME_DIR=/run/user/andreasg
:DISPLAY=:2
:G_BROKEN_FILENAMES=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/29197,unix/unix:/tmp/.ICE-unix/29197
:ORBIT_SOCKETDIR=/tmp/orbit-andreasg
:GNOME_KEYRING_CONTROL=/tmp/keyring-Zcu9jl
:GPG_AGENT_INFO=/tmp/keyring-Zcu9jl/gpg:0:1
:DESKTOP_AUTOSTART_ID=101fd4698232a63516130956680913179500000291970012

var_log_messages:
:Jul  1 14:43:39 docudev kernel: [2090675.442431] gnome-screensav[28347]: segfault at 0 ip           (null) sp 00007fff67b05fb8 error 14 in gnome-screensaver[400000+1f000]
:Jul  1 14:43:40 docudev abrt[28479]: saved core dump of pid 28347 (/usr/bin/gnome-screensaver) to /var/spool/abrt/ccpp-2011-07-01-14:43:39-28347.new/coredump (26574848 bytes)
:Jul  1 17:45:03 docudev kernel: [2101558.827870] gnome-screensav[29277]: segfault at 0 ip           (null) sp 00007fff12618258 error 14 in gnome-screensaver[400000+1f000]
:Jul  1 17:45:03 docudev abrt[29379]: saved core dump of pid 29277 (/usr/bin/gnome-screensaver) to /var/spool/abrt/ccpp-2011-07-01-17:45:03-29277.new/coredump (20246528 bytes)
Comment 1 Andreas Girgensohn 2011-07-03 16:42:24 EDT
Created attachment 511082 [details]
File: maps
Comment 2 Chris Plummer 2012-06-18 11:30:44 EDT
I'm not sure - I just saw a popup at the bottom of my screen tellling me that it had crashed.

backtrace_rating: 4
Package: gnome-screensaver-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Fedora End Of Life 2012-08-07 14:28:04 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.